# 2024.02.06

# IFTTT Webhooks 🪝

# Your key is: *cFmMFS-k0ZETRaDFb5wIso*

### To trigger an Event with an arbitrary JSON payload

Make a POST or GET web request to:

[https://maker.ifttt.com/trigger/{event}/](https://maker.ifttt.com/trigger/%7Bevent%7D/)*json*/with/key/cFmMFS-k0ZETRaDFb5wIso_* Note the extra */json* path element in this trigger._

With any JSON body. For example:

{ "this" : [ { "is": { "some": [ "test", "data" ] } } ] }

You can also try it with `curl` from a command line.

curl -X POST -H "Content-Type: application/json" -d '{"this":[{"is":{"some":["test","data"]}}]}' [https://maker.ifttt.com/trigger/{event}/json/with/key/cFmMFS-k0ZETRaDFb5wIso](https://maker.ifttt.com/trigger/%7Bevent%7D/json/with/key/cFmMFS-k0ZETRaDFb5wIso)

Please read [our FAQ](http://ift.tt/webhooks_faq) on using Webhooks for more info.

Test It

### To trigger an Event with 3 JSON values

Make a POST or GET web request to:

[https://maker.ifttt.com/trigger/{event}/with/key/cFmMFS-k0ZETRaDFb5wIso](https://maker.ifttt.com/trigger/%7Bevent%7D/with/key/cFmMFS-k0ZETRaDFb5wIso)

With an optional JSON body of:

{ "value1" : "", "value2" : "", "value3" : "" }

The data is completely optional, and you can also pass value1, value2, and value3 as query parameters or form variables. This content will be passed on to the action in your Applet.

You can also try it with `curl` from a command line.

curl -X POST [https://maker.ifttt.com/trigger/{event}/with/key/cFmMFS-k0ZETRaDFb5wIso](https://maker.ifttt.com/trigger/%7Bevent%7D/with/key/cFmMFS-k0ZETRaDFb5wIso)

Please read [our FAQ](http://ift.tt/webhooks_faq) on using Webhooks for more info.

Test It

### To query a web service

You can query a publicly accessible HTTP endpoint using the Webhooks service.

The "Make a web request" query requires a URL and Method as query fields. The query optionally accepts a Content Type and Request Body as query fields.

The query will always provide the Status Code returned by the endpoint as an Ingredient.

In addition, if the endpoint returns JSON matching our expected format (shown below) we can parse the response and provide Value1, Value2, and Value3 ingredients from the response.

{ "value1" : "", "value2" : "", "value3" : "" }

Please read [our FAQ](http://ift.tt/webhooks_faq) on using Webhooks for more info.

